aboutsummaryrefslogtreecommitdiffstats
path: root/testing/subtitleeditor/APKBUILD
blob: ea8e55d3c301024c32c283662fda86c1afbf6a26 (plain) (blame)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
# Contributor: Francesco Colista <fcolista@alpinelinux.org>
# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
pkgname=subtitleeditor
pkgver=0.53.0
pkgrel=2
pkgdesc="GTK+3 tool to create and edit subtitles."
url="http://home.gna.org/subtitleeditor/"
arch="x86 x86_64"
license="GPL-3.0"
makedepends="libxml++-2.6-dev enchant-dev libsigc++-dev xdg-utils gtkmm3-dev gtk+3.0-dev
	gst-plugins-base1-dev gstreamer1-dev gstreamermm-dev iso-codes-dev gst-libav1
	desktop-file-utils gst-plugins-ugly1"
subpackages="$pkgname-dev $pkgname-doc"
source="http://download.gna.org/$pkgname/${pkgver%.[0-9]*}/$pkgname-$pkgver.tar.gz
	01-fix-build.patch
	02-add-missing-potfiles.patch
	03-fix-build-gstreamermm-1.8.0.patch
	04-remove-deprecated-variable.patch"
builddir="$srcdir/$pkgname-$pkgver"

build() {
	cd "$builddir"
	./configure \
		--prefix=/usr \
		--disable-debug \
		--disable-nls
	make
}

package() {
	cd "$builddir"
	make DESTDIR="$pkgdir" install
}

check() {
	cd "$builddir"
	make check
}

sha512sums="8787831947785885befb50221869169eda73489851389e72f34edac7a9c2c59d05ba69e86d4d2d5b3a13b2678377ee2520c110ffa472b718884dd2e711603b8b  subtitleeditor-0.53.0.tar.gz
3f15e7be92f6a182e6d7773c9ed91b3d43158618d368f14d3d138fea2addbc40e860a54d486a3a6e2f93b03c695e4a2ebf23617702eb6ba65ce5a598cb5a4dda  01-fix-build.patch
9a80db68a271242c8925323844abcb287f7a3e966c42d593a0dc0c3ec452de8f7b9b1096c19f9e9d2dd285c2f21d404b355c84beacb1d3e3993a60e0b907ae30  02-add-missing-potfiles.patch
184b6dabdb73e4b40ac15d38fb31fc3b58f34f87fa996fb18770a2af0dfd3e063980f3da5a8ae56145a2270e2683ede9ec890337658461182c09ac2fd4dfbfd3  03-fix-build-gstreamermm-1.8.0.patch
d486b3cca3ec91a0fba0bc439007097689d170ba31807223d9c22fe9c236042c5734a82a87a9b245f61d5bd3554d00a5bac22f6496fe116e27a1baa2c15bfe0a  04-remove-deprecated-variable.patch"